# ChangeLog for app-admin/syslog-ng
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/ChangeLog,v 1.126 2006/02/20 04:49:01 kumba Exp $

  20 Feb 2006; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.9.ebuild:
  Marked stable on mips.

  06 Feb 2006; Simon Stelling <blubb@gentoo.org> syslog-ng-1.6.9.ebuild:
  stable on amd64

  31 Jan 2006; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.6.9.ebuild:
  Mark 1.6.9 stable on alpha

  27 Jan 2006; Michael Hanselmann <hansmi@gentoo.org>
  syslog-ng-1.6.9.ebuild:
  Stable on ppc.

  26 Jan 2006; Jeroen Roovers <jer@gentoo.org> syslog-ng-1.6.9.ebuild:
  Stable on hppa.

  22 Jan 2006; Markus Rothe <corsair@gentoo.org> syslog-ng-1.6.9.ebuild:
  Stable on ppc64

  22 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  syslog-ng-1.6.9.ebuild:
  Stable on sparc

  22 Jan 2006; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.9.ebuild:
  stable for x86

  25 Dec 2005; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.8-r1.ebuild:
  Marked stable on mips.

*syslog-ng-1.6.9 (03 Dec 2005)

  03 Dec 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +syslog-ng-1.6.9.ebuild:
  version bump

  30 Nov 2005; Michael Sterrett <mr_bones_@gentoo.org>
  -syslog-ng-1.6.5-r2.ebuild, -syslog-ng-1.6.6.ebuild,
  -syslog-ng-1.6.7.ebuild:
  clean old versions

  30 Nov 2005; Bryan Østergaard <kloeri@gentoo.org>
  syslog-ng-1.6.8-r1.ebuild:
  Stable on alpha.

  24 Nov 2005; Markus Rothe <corsair@gentoo.org> syslog-ng-1.6.8-r1.ebuild:
  Stable on ppc64

  11 Nov 2005; Michael Hanselmann <hansmi@gentoo.org>
  syslog-ng-1.6.8-r1.ebuild:
  Stable on ppc.

  30 Oct 2005; Bryan Østergaard <kloeri@gentoo.org>
  syslog-ng-1.6.8-r1.ebuild:
  Stable on ia64.

  26 Oct 2005; Luis Medinas <metalgod@gentoo.org> syslog-ng-1.6.8-r1.ebuild:
  Marked Stable on amd64.

  24 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  syslog-ng-1.6.8-r1.ebuild:
  Stable on sparc

  23 Oct 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.8-r1.ebuild:
  stable for x86

  02 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.8-r1.ebuild:
  fix another bad bit of autotooling related to --with-libol (bug #104538)

*syslog-ng-1.6.8-r1 (02 Sep 2005)

  02 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +syslog-ng-1.6.8-r1.ebuild:
  rev bump to fix missing dep on sys-apps/which (bug #104475)

  01 Sep 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.8.ebuild:
  inherit fixheadtails to fix bug #104475

  23 Aug 2005; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.6.8.ebuild:
  stable on ia64

  06 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> syslog-ng-1.6.8.ebuild:
  Stable on mips.

  28 Jul 2005; Simon Stelling <blubb@gentoo.org> syslog-ng-1.6.8.ebuild:
  stable on amd64

  26 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> syslog-ng-1.6.8.ebuild:
  Stable on alpha.

  19 Jul 2005; MATSUU Takuto <matsuu@gentoo.org> syslog-ng-1.6.8.ebuild:
  Stable on sh.

  09 Jul 2005; Markus Rothe <corsair@gentoo.org> syslog-ng-1.6.8.ebuild:
  Stable on ppc64

  09 Jul 2005; Joseph Jezak <josejx@gentoo.org> syslog-ng-1.6.8.ebuild:
  Marked stable on ppc.

  08 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  syslog-ng-1.6.8.ebuild:
  Stable on hppa.

  08 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  syslog-ng-1.6.8.ebuild:
  Stable on sparc

  07 Jul 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.8.ebuild:
  stable for x86

*syslog-ng-1.6.8 (26 May 2005)

  26 May 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +syslog-ng-1.6.8.ebuild:
  version bump

  18 May 2005; Markus Rothe <corsair@gentoo.org> syslog-ng-1.6.7.ebuild:
  Stable on ppc64

  15 May 2005; Rene Nussbaumer <killerfox@gentoo.org>
  syslog-ng-1.6.7.ebuild:
  Stable on hppa

  13 May 2005; Fernando J. Pereda <ferdy@gentoo.org> syslog-ng-1.6.7.ebuild:
  1.6.7 alpha stable

  12 May 2005; Michael Sterrett <mr_bones_@gentoo.org>
  files/syslog-ng.conf.debian, files/syslog-ng.conf.gentoo,
  files/syslog-ng.conf.gentoo.hardened:
  fix up config files (bug #92330)

  11 May 2005; Marcus D. Hanwell <cryos@gentoo.org> syslog-ng-1.6.7.ebuild:
  Stable on amd64.

  09 May 2005; Lars Weiler <pylon@gentoo.org> syslog-ng-1.6.7.ebuild:
  Stable on ppc.

  09 May 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.7.ebuild:
  install the stock config files as well (bug #91995)

  09 May 2005; Jeffrey Forman <jforman@gentoo.org> syslog-ng-1.6.7.ebuild:
  stable on sparc

  08 May 2005; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.6.7.ebuild:
  stable on ia64

  08 May 2005; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.7.ebuild:
  Marked stable on mips.

  08 May 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.7.ebuild:
  stable for x86

  16 Apr 2005; Stephen Bennett <spb@gentoo.org>
  files/syslog-ng.conf.gentoo.hardened:
  Changed hardened config so as to open /proc/kmsg ro instead of rw.

*syslog-ng-1.6.7 (09 Apr 2005)

  09 Apr 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +syslog-ng-1.6.7.ebuild:
  version bump

  05 Apr 2005; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.6.ebuild:
  Add support for hardened-specified config file

  05 Apr 2005; <solar@gentoo.org> +files/syslog-ng.conf.gentoo.hardened:
  - added example hardened syslog-ng conf used by hardened profiles.

*syslog-ng-1.6.6 (26 Feb 2005)

  26 Feb 2005; Michael Sterrett <mr_bones_@gentoo.org>
  +syslog-ng-1.6.6.ebuild:
  version bump

  28 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*syslog-ng-1.6.5-r2 (14 Dec 2004)

  14 Dec 2004; Aron Griffis <agriffis@gentoo.org> files/syslog-ng.rc6,
  -syslog-ng-1.6.5-r1.ebuild, +syslog-ng-1.6.5-r2.ebuild:
  Fix syslog-ng.conf net dependency again #74428

  01 Dec 2004; Michael Sterrett <mr_bones_@gentoo.org>
  -files/syslog-ng.conf.sample, syslog-ng-1.6.5-r1.ebuild:
  added syslog.conf from Debian as a sample (from bug #67267)

  01 Dec 2004; Michael Sterrett <mr_bones_@gentoo.org>
  -syslog-ng-1.6.2.ebuild, -syslog-ng-1.6.4.ebuild:
  clean older versions (fixes bug #71546)

  18 Nov 2004; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.6.5-r1.ebuild:
  stable on ia64

  18 Nov 2004; Markus Rothe <corsair@gentoo.org> syslog-ng-1.6.5-r1.ebuild:
  stable on ppc64; bug #71613

  13 Oct 2004; Travis Tilley <lv@gentoo.org> syslog-ng-1.6.5-r1.ebuild:
  stable on amd64

  02 Oct 2004; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.5-r1.ebuild:
  Marked stable on mips.

*syslog-ng-1.6.5-r1 (02 Oct 2004)

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> syslog-ng-1.6.5-r1.ebuild:
  Stable on alpha.

  28 Sep 2004; Aron Griffis <agriffis@gentoo.org> files/syslog-ng.rc6,
  -syslog-ng-1.6.5.ebuild:
  Don't use xargs to concatenate lines; it breaks on uneven quoting #65520

  25 Sep 2004; Jason Wever <weeve@gentoo.org> syslog-ng-1.6.5.ebuild:
  Stable on sparc.

  24 Sep 2004; Michael Sterrett <mr_bones_@gentoo.org> syslog-ng-1.6.5.ebuild:
  stable on x86

  18 Aug 2004; Aron Griffis <agriffis@gentoo.org> files/syslog-ng.rc6:
  Add xargs into the init-script to make parsing conf file more robust #60487

*syslog-ng-1.6.5 (16 Aug 2004)

  16 Aug 2004; Michael Sterrett <mr_bones_@gentoo.org>
  +syslog-ng-1.6.5.ebuild:
  version bump (bug #60271)

  08 Aug 2004; Luca Barbato <lu_zero@gentoo.org> syslog-ng-1.6.4.ebuild:
  Marked ppc

  08 Aug 2004; <agriffis@gentoo.org> syslog-ng-1.6.4.ebuild:
  stable on ia64

  04 Aug 2004; Michael Sterrett <mr_bones_@gentoo.org> files/syslog-ng.rc6:
  checkconfig before reload to catch mis-config earlier.  Patch from Eldad
  Zack via bug #58216

  05 Jul 2004; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.4.ebuild:
  Marked stable on mips.

  25 Jun 2004; Tom Gall <tgall@gentoo.org> syslog-ng-1.6.4.ebuild:
  stable on ppc64, bug #54848

  25 Jun 2004; Guy Martin <gmsoft@gentoo.org> syslog-ng-1.6.4.ebuild:
  Marked stable on hppa.

  22 Jun 2004; Gustavo Zacarias <gustavoz@gentoo.org> syslog-ng-1.6.4.ebuild:
  Stable on sparc

  22 Jun 2004; <malc@gentoo.org> syslog-ng-1.6.4.ebuild:
  Mark stable on amd64

  22 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> syslog-ng-1.6.4.ebuild:
  stable for x86

  16 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> syslog-ng-1.6.4.ebuild:
  Stable on alpha.

  05 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> syslog-ng-1.6.4.ebuild:
  inherit flag-o-matic for append-ldflags; add use static support; dep fix for
  libol; tidy compile

*syslog-ng-1.6.4 (29 May 2004)

  29 May 2004; Michael Sterrett <mr_bones_@gentoo.org> syslog-ng-1.6.4.ebuild:
  version bump

  29 May 2004; Michael Sterrett <mr_bones_@gentoo.org> syslog-ng-1.6.2.ebuild:
  tidy

  12 May 2004; Michael McCabe <randy@gentoo.org> syslog-ng-1.6.2.ebuild:
  Added s390 keywords

  26 Apr 2004; Tom Gall <tgall@gentoo.org> syslog-ng-1.6.2.ebuild:
  stable on ppc64 (bug 49104)

  17 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.4.16-r2.ebuild, syslog-ng-1.6.0_rc1-r2.ebuild:
  clean out older versions

*syslog-ng-1.6.2 (14 Feb 2004)

  14 Feb 2004; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.6.2.ebuild,
  files/syslog-ng.rc6:
  Fix bug 38475 by adding conditional dep on network in initscript. Didn't bump
  the rev since I don't think a lot of people care about this change. Also
  bumped the version to 1.6.2 for testing.

  05 Jan 2004; Brad House <brad_mssw@gentoo.org>
  syslog-ng-1.6.0_rc3-r1.ebuild:
  mark stable on amd64

  30 Dec 2003; Michael Sterrett <mr_bones_@gentoo.org>
  syslog-ng-1.6.0_rc3-r1.ebuild:
  The upstream source moved on us (bug 36394)

  11 Nov 2003; Aron Griffis <agriffis@gentoo.org>
  syslog-ng-1.6.0_rc3-r1.ebuild:
  Mark stable on ia64

  11 Nov 2003; Aron Griffis <agriffis@gentoo.org>
  syslog-ng-1.6.0_rc3-r1.ebuild:
  Add ~ia64

  22 Oct 2003; Michael Sterrett <mr_bones_@gentoo.org> metadata.xml:
  add metadata.xml

  05 Oct 2003; Brad House <brad_mssw@gentoo.org>
  syslog-ng-1.6.0_rc3-r1.ebuild:
  add ~amd64 flag

  03 Oct 2003; Aron Griffis <agriffis@gentoo.org>
  syslog-ng-1.6.0_rc3-r1.ebuild:
  Stable on alpha

*syslog-ng-1.6.0_rc3-r1 (17 Sep 2003)

  30 Sep 2003; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.0_rc3-r1.ebuild:
  Changed ~sparc to sparc in KEYWORDS

*syslog-ng-1.6.0_rc1-r2 (17 Sep 2003)

  17 Sep 2003; Seemant Kulleen <seemant@gentoo.org>
  syslog-ng-1.4.16-r1.ebuild, syslog-ng-1.4.16-r2.ebuild,
  syslog-ng-1.6.0_rc1-r1.ebuild, syslog-ng-1.6.0_rc1-r2.ebuild,
  syslog-ng-1.6.0_rc3-r1.ebuild, syslog-ng-1.6.0_rc3.ebuild:
  version bump to provide virtual/logger

*syslog-ng-1.4.16-r2 (17 Sep 2003)

*syslog-ng-1.4.16-r1 (12 Mar 2003)

  29 Jun 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Added missing changelog entry.

  31 May 2003; Seemant Kulleen <seemant@gentoo.org>
  syslog-ng-1.6.0_rc3.ebuild:
  slight fix for dohtml -- finally closing the bug

*syslog-ng-1.6.0_rc3 (18 May 2003)

  16 Jul 2003; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.0_rc3.ebuild:
  Changed ~mips to mips in KEYWORDS

  02 Jul 2003; Guy Martin <gmsoft@gentoo.org> syslog-ng-1.6.0_rc3.ebuild :
  Marked stable on hppa.

  18 May 2003; Seemant Kulleen <seemant@gentoo.org>
  syslog-ng-1.6.0_rc1-r1.ebuild, syslog-ng-1.6.0_rc3.ebuild:
  html docs fix and version bump thanks to: Andy Dustman
  <andy-gentoo.54e552@dustman.net> in bug #19156

*syslog-ng-1.6.0_rc1-r1 (10 Mar 2003)

  14 May 2003; Joshua Kinard <kumba@gentoo.org> syslog-ng-1.6.0_rc1-r1.ebuild:
  Added ~mips to KEYWORDS

  01 May 2003; <msterret@gentoo.org> files/syslog-ng.conf.gentoo:
  updated files/syslog-ng.conf.gentoo with a user-uncommentable option
  for logging to address http://bugs.gentoo.org/show_bug.cgi?id=19824.

  14 Apr 2003; Guy Martin <gmsoft@gentoo.org> syslog-ng-1.6.0_rc1-r1.ebuild :
  Added hppa to KEYWORDS.

  12 Apr 2003; Seemant Kulleen <seemant@gentoo.org> Manifest,
  syslog-ng-1.6.0_rc1-r1.ebuild:
  doc fixes for html docs, thanks to: Andy Dustman
  <andy-gentoo.54e552@dustman.net> in bug #19156

  28 Mar 2003; Pieter Van den Abeele <pvdabeel@gentoo.org> syslog-ng-1.6.0_rc1-r1
  Moved to stable on ppc

  11 Mar 2003; Aron Griffis <agriffis@gentoo.org> files/syslog-ng.conf.gentoo:
  Minor update to default configuration; added stats(43200)

  10 Mar 2003; Aron Griffis <agriffis@gentoo.org>
  syslog-ng-1.6.0_rc1-r1.ebuild, files/syslog-ng.conf.gentoo,
  files/syslog-ng.logrotate:
  Bump revision to pick up new default configuration and logrotate snippet, both
  contributed by Michael Sterrett. This relates to bug #7144. Also mark stable
  on x86 and alpha since this is the version recommended for production use by
  the web page.

*syslog-ng-1.6.0_rc1 (05 Mar 2003)

  05 Mar 2003; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.6.0_rc1.ebuild:
  Update to latest stable release candidate for bug #14335

*syslog-ng-1.5.26-r1 (27 Feb 2003)

  27 Feb 2003; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.5.26-r1.ebuild,
  files/syslog-ng.rc6:
  Fix bug 16308 by adding a reload() function to the init script. Bumped the
  masked revision to pick up the change. Thanks to Michael Sterrett for his
  work debugging and providing the patch.  Also added ~alpha to KEYWORDS.

*syslog-ng-1.5.26 (09 Feb 2003)

  09 Feb 2003; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.5.26.ebuild:
  Version Bump

  09 Feb 2003; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.4.16-r1.ebuild,
  syslog-ng-1.4.17.ebuild:
  Removed message about syslog2ng script which is only found in 1.5.x

  21 Jan 2003; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.4.16-r1.ebuild:
  Revision bump to pick up new initscript on the stable package.

  21 Jan 2003; Aron Griffis <agriffis@gentoo.org> syslog-ng-1.5.24-r1.ebuild
  files/syslog-ng.rc6 :
  Add a pause after stopping syslog-ng to allow it to stop, particularly in
  case it's restarting.  This is particularly important when using logrotate.
  Bumped the revision to get the new initscript installed.  Closes #14310

*syslog-ng-1.5.24 (26 Dec 2002)

  26 Dec 2002 Martin Holzer <mholzer@gentoo.org> syslog-ng-1.5.24.ebuild
  files/digest-syslog-ng-1.5.24 ChangeLog :
  Version Pumped. Closes #12714.
 
*syslog-ng-1.4.17 (05 Nov 2002)

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords

  05 Nov 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Version bump.

*syslog-ng-1.4.16 (25 Oct 2002)

  04 Nov 2002; Seemant Kulleen <Seemant@gentoo.org> *.ebuild :
  Added sys-devel/flex to DEPENDS. Closes bug #10185 by lordvan@lordvan.com
  (Thomas Raschbacher)

  25 Oct 2002; Donny Davies <woodchip@gentoo.org> :
  Arrgh.  This is the *stable version of syslog-ng, and according to our
  friends on #9278, the only branch currently with working UDP/TCP support.
  I've marked the development versions with ~, and this one stable :/

*syslog-ng-1.5.22 (23 Oct 2002)

  23 Oct 2002; Donny Davies <woodchip@gentoo.org> :
  Bug fix release.  Thanks rkilgore@hotpop.com, wylie@geekasylum.org; #9278.

*syslog-ng-1.5.21 (12 Oct 2002)

  12 Oct 2002; Seemant Kulleen <seemant@gentoo.org> syslog-ng-1.5.21.ebuild :
  Works on sparcs

  12 Oct 2002; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.5.21.ebuild,
  files/syslog-ng.conf.sample:
  Version bump and older versions removed due to security issue.  "kernsrc"
  line in example configuration file fixed. (Bugs #7951 and #7996)

*syslog-ng-1.5.19 (17 Aug 2002)

  14 Sep 2002; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.5.19.ebuild:
  Fixed bug introduced with previous fix (#7757)

  17 Aug 2002; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.5.19.ebuild:
  Updated ebuild contributed by mw@teamzone.de (Markus Wagner) plus
  -lwrap buglet fix
  
*syslog-ng-1.5.17 (21 May 2002)

  14 Aug 2002; Jack Morgan <jmorgan@gentoo.org> syslog-ng-1.4.15.ebuild,
  syslog-ng-1.5.17.ebuild:
  Added sparc64 to KEYWORDS.

*syslog-ng-1.5.17 (21 May 2002)

  30 Jul 2002; Calum Selkirk <cselkirk@gentoo.org> syslog-ng-1.5.17.ebuild :
  Added -ppc to KEYWORDS.

  21 May 2002; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.5.17.ebuild :
  New development branch version... a pain to compile and is masked out

*syslog-ng-1.4.15 (21 May 2002)

  21 May 2002; Bruce A. Locke <blocke@shivan.org> syslog-ng-1.4.15.ebuild :
  New Version

*syslog-ng-1.4.12-r9 (3 May 2002)

  3 May 2002; Donny Davies <woodchip@gentoo.org> :
  Add LICENSE, SLOT, $Headers.

*syslog-ng-1.4.12-r8 (11 March 2002)

  11 March 2002; M.Schlemmer <azarah@gentoo.org> :
  Updated rc-script to provide "logger".

*syslog-ng-1.4.12-r7 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
